Bug 457257 - Create folder / document always in top level directory
Create folder / document always in top level directory
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 11:34 EDT by Edwin ten Brink
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 09:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edwin ten Brink 2008-07-30 11:34:23 EDT
Description of problem:
When descending a few directories in Nautilus not by double-clicking, but
opening them in the same view through the triangle on the left side and then
create a new document or folder through the File-menu, the new file or folder is
created in the top level (originally opened) directory, e.g. Home. This is
especially annoying with many directories or files and also counter-intuitive.

The New folder and New document actions are also not available in the context
menu to create them in the folder pointed to, which would be intuitive.


Version-Release number of selected component (if applicable):
$ nautilus --version
GNOME nautilus 2.22.5.1
$ rpm -q nautilus
nautilus-2.22.5.1-1.fc9.i386


How reproducible:
Always.


Steps to Reproduce:
1. Open a directory in Nautilus
2. Descend one or more levels in the same view/window
3. Create Folder or Create document from the File menu


Actual results:
Folder or document is created in top-most opened folder.


Expected results:
Folder or document is created in folder which is selected.


Additional info:
Comment 1 Tomáš Bžatek 2008-07-31 06:18:54 EDT
Well, if I understand your point correctly, this would be non-standard behaviour
confusing other users. Usually all actions are related to focused item, which is
probably Home in your case. TreeView expanders are non-focusing by default, this
is the only chance. Is that what you had in mind?

You can always post feature request in upstream bugzilla (bugzilla.gnome.org)
and defend your idea.
Comment 2 Edwin ten Brink 2008-07-31 09:49:49 EDT
You're explanation is much shorter but accurate.

Thanks for the pointer to bugzilla.gnome.org. I've found that I wasn't the first
one with this suggestion, it has already been accepted upstream (but not yet
resolved), see http://bugzilla.gnome.org/show_bug.cgi?id=399578
Upstream reporter had a redhat e-mail address, by the way. :-)

I'm closing this one with resolution UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.